%global momorel 1
%global md5sum_src0 0a0f0e861e7188780643915fdd0029e7

Name:           perl-Math-BigInt-GMP
Version:        1.23
Release: %{momorel}m%{?dist}
Summary:        Math::BigInt::GMP Perl module
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Math-BigInt-GMP/
%NoSource 0     http://www.cpan.org/modules/by-module/Math/Math-BigInt-GMP-%{version}.tar.gz %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       perl
Requires:       perl-Math-BigInt

%description
Math::BigInt::GMP Perl module

%prep
%setup -q -n Math-BigInt-GMP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc BUGS CHANGES CREDITS LICENSE README TODO
%{perl_vendorarch}/auto/Math/BigInt/*
%{perl_vendorarch}/Math/BigInt/*
%{_mandir}/man3/*

%changelog
* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.23-1m)
- update to 1.23

* Sat Jun  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.22-1m)
- update to 1.22

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.21-2m)
- use vendor

* Fri Apr 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21-1m)
- update to 1.21

* Tue Apr 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Sat Feb 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.19-2m)
- modify %%files to avoid directory conflicting

* Mon Jan 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.19-1m)
- update to 1.19
- add Require: perl-Math-BigInt

* Tue Nov 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.18-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
